#!/usr/bin/env sh

# Prepare project
# ===

# Checkout project
bzr branch lp:ubuntu-partner-website || true
bzr update ubuntu-partner-website 
bzr pull --directory ubuntu-partner-website 

# Update sass
make -C ubuntu-partner-website sass

# Prepare pip dependencies directory
mkdir -p ubuntu-partner-website/pip-cache

# Download pip dependencies
pip install --exists-action=w --download ubuntu-partner-website/pip-cache -r ubuntu-partner-website/requirements/standard.txt
rm -rf src # Remove superfluous editable sources directory
